import speech_recognition as sr


class VoiceRecognition:
    @staticmethod
    def basic_recognition(audio, option):
        print(type(audio))
        print("preparing")
        r = sr.Recognizer()
        if option == "online":
            with sr.AudioFile(audio) as source:
                print("online")
                text = r.recognize_google_cloud(source)
                print("recognized as: " + text)
                return text
        elif option == "offline":
            with sr.AudioFile(audio) as source:
                print("offline")
                text = r.recognize_sphinx(source)
                print("recognized as: " + text)
                return text

        print("nothing")
        return False
